List runs
curl --request GET \
--url https://bulkgrid.com/api/v1/runs \
--header 'x-api-key: <api-key>'import requests
url = "https://bulkgrid.com/api/v1/runs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://bulkgrid.com/api/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_at": "<string>",
"config": null,
"created_at": "<string>",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"done": 0,
"error_code": "<string>",
"error_count": 0,
"error_details": null,
"extraction_query": "<string>",
"extraction_schema": null,
"failed": 0,
"in_progress": 0,
"inline_credentials": null,
"indexing_completed_at": "<string>",
"indexing_started_at": "<string>",
"indexing_time_ms": 0,
"last_error": "<string>",
"last_error_at": "<string>",
"last_heartbeat": "<string>",
"max_retries": 0,
"message_ids": [
"<string>"
],
"metadata": null,
"needs_dispatch": true,
"priority": 0,
"processing_time_ms": 0,
"query": "<string>",
"queued": 0,
"requested_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_count": 0,
"started_at": "<string>",
"status": "pending",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "crawl",
"updated_at": "<string>",
"urls": [
"<string>"
],
"indexed_pages": 0,
"indexing_done": 0,
"indexing_failed": 0,
"indexing_failed_pages": 0,
"indexing_in_progress": 0,
"indexing_queued": 0,
"deletion_requested_at": "<string>"
}
],
"page": 4503599627370495,
"limit": 4503599627370495,
"total": 4503599627370495
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}Runs
List runs
Required permission: runs:read.
GET
/
api
/
v1
/
runs
List runs
Authorizations
apiKeyAuthbearerAuth
Bulkgrid API key
Query Parameters
Required range:
0 < x <= 9007199254740991Required range:
0 < x <= 9007199254740991Available options:
pending, processing, completed, failed, cancelled Available options:
crawl, deep_crawl, extract, source_sync